Skip to main content
PATCH
/
v1
/
benefit
/
programs
/
{id}
Update a benefit program
curl --request PATCH \
  --url https://api.plane.com/v1/benefit/programs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "year": 123,
  "starts": {},
  "ends": {},
  "status": "<string>",
  "eligibility": {},
  "metadata": {}
}
'
import requests

url = "https://api.plane.com/v1/benefit/programs/{id}"

payload = {
"name": "<string>",
"year": 123,
"starts": {},
"ends": {},
"status": "<string>",
"eligibility": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
year: 123,
starts: {},
ends: {},
status: '<string>',
eligibility: {},
metadata: {}
})
};

fetch('https://api.plane.com/v1/benefit/programs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Parameters

id
string
required
ID of the benefit program.
name
string
Human-readable program name.
year
integer
Human renewal label for the program.
starts
date | null
Start date for the program year.
ends
date | null
End date for the program year.
status
string
Program status. One of draft, open, or closed.
eligibility
string | null
CEL expression deciding which workers the program is offered to, evaluated against the worker shape.
metadata
object
Set of key-value pairs attached to the program.

Returns

Returns the updated Benefit program object.